Dela via


Communication Services - Update

Operation för att uppdatera en befintlig Kommunikationstjänst.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2026-03-18

URI-parametrar

Name I Obligatorisk Typ Description
communicationServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[-\w]+$

Namnet på CommunicationService-resursen.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Namnet på resursgruppen. Namnet är skiftlägesokänsligt.

subscriptionId
path True

string (uuid)

ID för målprenumerationen. Värdet måste vara ett UUID.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Begärandetext

Name Typ Description
identity

ManagedServiceIdentity

Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter)

properties.disableLocalAuth

boolean

Inaktivera lokal autentisering för CommunicationService.

properties.linkedDomains

string[]

Lista över resurs-ID:t för e-postdomäner.

properties.publicNetworkAccess

PublicNetworkAccess

Tillåt, tillåt eller låt perimeterkonfigurationen för nätverkssäkerhet styra åtkomsten till det offentliga nätverket till den skyddade resursen. Värdet är valfritt, men om det skickas måste det vara "Enabled", "Disabled" eller "SecuredByPerimeter".

tags

object

Taggar för tjänsten som är en lista över nyckelvärdepar som beskriver resursen.

Svar

Name Typ Description
200 OK

CommunicationServiceResource

Azure-operationen slutfördes framgångsrikt.

Other Status Codes

ErrorResponse

Ett oväntat felsvar.

Säkerhet

azure_auth

Azure Active Directory OAuth2 Flow.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

Update resource
Update resource to add a System Assigned managed identity
Update resource to add a User Assigned managed identity
Update resource to add DisableLocalAuth
Update resource to add PublicNetworkAccess
Update resource to add System and User managed identities
Update resource to remove identity

Update resource

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "None"
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add a System Assigned managed identity

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "SystemAssigned"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "11111111-1111-1111-1111-111111111111",
    "tenantId": "22222222-2222-2222-2222-222222222222"
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add a User Assigned managed identity

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {}
    }
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {
        "clientId": "11112222-3333-4444-5555-666677778888",
        "principalId": "11112222-3333-4444-5555-666677778888"
      }
    }
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add DisableLocalAuth

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "properties": {
    "disableLocalAuth": true
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "disableLocalAuth": true,
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add PublicNetworkAccess

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "properties": {
    "publicNetworkAccess": "Enabled"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "publicNetworkAccess": "Enabled",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add System and User managed identities

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {}
    }
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "11111111-1111-1111-1111-111111111111",
    "tenantId": "22222222-2222-2222-2222-222222222222",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {
        "clientId": "11112222-3333-4444-5555-666677778888",
        "principalId": "11112222-3333-4444-5555-666677778888"
      }
    }
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to remove identity

Exempelbegäran

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "None"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Exempelsvar

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communication.azure.com",
    "provisioningState": "Succeeded"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Definitioner

Name Description
CommunicationServiceResource

En klass som representerar en CommunicationService-resurs.

CommunicationServiceResourceUpdate

En klass som representerar uppdateringsparametrar för CommunicationService-resursen.

CommunicationServices_ProvisioningState

Etableringstillstånd för resursen.

createdByType

Den typ av identitet som skapade resursen.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

ErrorDetail

Detaljerna om felet.

ErrorResponse

Felsvar

ManagedServiceIdentity

Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter)

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts).

PublicNetworkAccess

Tillåt, tillåt eller låt perimeterkonfigurationen för nätverkssäkerhet styra åtkomsten till det offentliga nätverket till den skyddade resursen. Värdet är valfritt, men om det skickas måste det vara "Enabled", "Disabled" eller "SecuredByPerimeter".

systemData

Metadata som rör skapande och senaste ändring av resursen.

UserAssignedIdentity

Användartilldelade identitetsegenskaper

CommunicationServiceResource

En klass som representerar en CommunicationService-resurs.

Name Typ Description
id

string (arm-id)

Fullständigt kvalificerat resurs-ID för resursen. T.ex. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

De hanterade tjänstidentiteter som tilldelats den här resursen.

location

string

Den geo-plats där resursen finns

name

string

Namnet på resursen

properties.dataLocation

string

Platsen där kommunikationstjänsten lagrar sina vilande data.

properties.disableLocalAuth

boolean

Inaktivera lokal autentisering för CommunicationService.

properties.hostName

string

FQDN för CommunicationService-instansen.

properties.immutableResourceId

string

Den oföränderliga resurs-ID:n för kommunikationstjänsten.

properties.linkedDomains

string[]

Lista över resurs-ID:t för e-postdomäner.

properties.notificationHubId

string

Resurs-ID för en Azure Notification Hub kopplad till denna resurs.

properties.provisioningState

CommunicationServices_ProvisioningState

Etableringstillstånd för resursen.

properties.publicNetworkAccess

PublicNetworkAccess

Tillåt, tillåt eller låt perimeterkonfigurationen för nätverkssäkerhet styra åtkomsten till det offentliga nätverket till den skyddade resursen. Värdet är valfritt, men om det skickas måste det vara "Enabled", "Disabled" eller "SecuredByPerimeter".

properties.version

string

Version av CommunicationService-resursen. Förmodligen behöver du samma eller högre version av klient-SDK:er.

systemData

systemData

Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.

tags

object

Resursetiketter.

type

string

Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"

CommunicationServiceResourceUpdate

En klass som representerar uppdateringsparametrar för CommunicationService-resursen.

Name Typ Description
identity

ManagedServiceIdentity

Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter)

properties.disableLocalAuth

boolean

Inaktivera lokal autentisering för CommunicationService.

properties.linkedDomains

string[]

Lista över resurs-ID:t för e-postdomäner.

properties.publicNetworkAccess

PublicNetworkAccess

Tillåt, tillåt eller låt perimeterkonfigurationen för nätverkssäkerhet styra åtkomsten till det offentliga nätverket till den skyddade resursen. Värdet är valfritt, men om det skickas måste det vara "Enabled", "Disabled" eller "SecuredByPerimeter".

tags

object

Taggar för tjänsten som är en lista över nyckelvärdepar som beskriver resursen.

CommunicationServices_ProvisioningState

Etableringstillstånd för resursen.

Värde Description
Unknown

Okänd

Succeeded

lyckades

Failed

Misslyckades

Canceled

Annullerad

Running

Springa

Creating

Skapar

Updating

Uppdatera

Deleting

Tas bort

Moving

Rörande

createdByType

Den typ av identitet som skapade resursen.

Värde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

Name Typ Description
info

object

Ytterligare information.

type

string

Ytterligare informationstyp.

ErrorDetail

Detaljerna om felet.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Ytterligare information om felet.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvar

Name Typ Description
error

ErrorDetail

Felobjektet.

ManagedServiceIdentity

Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter)

Name Typ Description
principalId

string (uuid)

Tjänstens huvudnamns-ID för den systemtilldelade identiteten. Den här egenskapen tillhandahålls endast för en systemtilldelad identitet.

tenantId

string (uuid)

Klientorganisations-ID för den systemtilldelade identiteten. Den här egenskapen tillhandahålls endast för en systemtilldelad identitet.

type

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts).

userAssignedIdentities

<string,  UserAssignedIdentity>

Uppsättningen användartilldelade identiteter som är associerade med resursen. Ordlistenycklarna userAssignedIdentities är ARM-resurs-ID:er i formuläret: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Ordlistevärdena kan vara tomma objekt ({}) i begäranden.

ManagedServiceIdentityType

Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts).

Värde Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PublicNetworkAccess

Tillåt, tillåt eller låt perimeterkonfigurationen för nätverkssäkerhet styra åtkomsten till det offentliga nätverket till den skyddade resursen. Värdet är valfritt, men om det skickas måste det vara "Enabled", "Disabled" eller "SecuredByPerimeter".

Värde Description
Enabled

Tillåter offentlig nätverks access till resursen

Disabled

Förbjuder access av offentligt nätverk till resursen

SecuredByPerimeter

Reglerna för nätverkssäkerhetsperimeterkonfiguration tillåter eller förbjuder offentlig nätverks access till resursen. Kräver en tillhörande nätverkssäkerhetsperimeter.

systemData

Metadata som rör skapande och senaste ändring av resursen.

Name Typ Description
createdAt

string (date-time)

Tidsstämpeln för resursskapande (UTC).

createdBy

string

Identiteten som skapade resursen.

createdByType

createdByType

Den typ av identitet som skapade resursen.

lastModifiedAt

string (date-time)

Tidsstämpeln för resursens senaste ändring (UTC)

lastModifiedBy

string

Identiteten som senast ändrade resursen.

lastModifiedByType

createdByType

Den typ av identitet som senast ändrade resursen.

UserAssignedIdentity

Användartilldelade identitetsegenskaper

Name Typ Description
clientId

string (uuid)

Klient-ID för den tilldelade identiteten.

principalId

string (uuid)

Huvud-ID för den tilldelade identiteten.